summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--sci-visualization/epix/Manifest1
-rw-r--r--sci-visualization/epix/epix-1.2.19.ebuild70
-rw-r--r--sci-visualization/epix/files/epix-1.2.19-autotools.patch78
3 files changed, 149 insertions, 0 deletions
diff --git a/sci-visualization/epix/Manifest b/sci-visualization/epix/Manifest
index a31bf1db68b..bbfa0f1195c 100644
--- a/sci-visualization/epix/Manifest
+++ b/sci-visualization/epix/Manifest
@@ -1 +1,2 @@
DIST epix-1.2.11_withpdf.tar.bz2 1709429 BLAKE2B db9cba5b94e27742347f8fc85366399016438681a7016077966e5048b9a178404af8305da7d170722aaac82d85283552f87fbba76b21e788fee546b0e0aebf43 SHA512 16d0edf13711e469a13faba83d47fbab983277a95cfed0e343089258da0b8a56104af9fc217aaa70928c50f10e7d152df93c3638cf2a65a2833142645a829a45
+DIST epix-1.2.19_withpdf.tar.bz2 1757443 BLAKE2B 4c7d78f27d355e078ebbe81f9c5d9b1d342f4f04d5f91260460d0559bfb7fc8204668072c06c8d493eb739c492b2935bffd24cb77cd554cd863734b7d84ff6e1 SHA512 b51821256ccaf9957562964b1342ee1656d1d8456081869797d8c704df3098d2643135767987b0673aa64a16703cb2e21deea4aef7d1598e67b9661b98245cda
diff --git a/sci-visualization/epix/epix-1.2.19.ebuild b/sci-visualization/epix/epix-1.2.19.ebuild
new file mode 100644
index 00000000000..9324913332a
--- /dev/null
+++ b/sci-visualization/epix/epix-1.2.19.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit elisp-common bash-completion-r1 autotools
+
+DESCRIPTION="2- and 3-D plotter for creating images (to be used in LaTeX)"
+HOMEPAGE="https://mathcs.holycross.edu/~ahwang/current/ePiX.html"
+SRC_URI="https://mathcs.holycross.edu/~ahwang/epix/${P}_withpdf.tar.bz2"
+
+SLOT="0"
+LICENSE="GPL-2"
+KEYWORDS="~amd64 ~ppc ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc emacs examples"
+
+DEPEND="
+ virtual/latex-base
+ dev-texlive/texlive-pstricks
+ dev-texlive/texlive-pictures
+ dev-texlive/texlive-latexextra
+ dev-texlive/texlive-latexrecommended
+ emacs? ( >=app-editors/emacs-23.1:* )"
+RDEPEND="${DEPEND}"
+SITEFILE=50${PN}-gentoo.el
+
+PATCHES=(
+ "${FILESDIR}/${P}-autotools.patch"
+)
+
+src_prepare() {
+ default
+ eautoreconf
+}
+
+src_configure() {
+ econf \
+ --docdir="${EPREFIX}/usr/share/doc/${PF}" \
+ --disable-epix-el
+}
+
+src_install() {
+ default
+ if use emacs; then
+ # do compilation here as the make install target will
+ # create the .el file
+ elisp-compile *.el || die "elisp-compile failed!"
+ elisp-install ${PN} *.elc *.el || die "elisp-install failed!"
+ elisp-site-file-install "${FILESDIR}/${SITEFILE}"
+ fi
+ newbashcomp bash_completions epix
+ bashcomp_alias epix flix elaps laps
+ if use doc; then
+ dodoc doc/*gz
+ docompress -x /usr/share/doc/${PF}/manual{.pdf,.ps,_src.tar}.gz
+ fi
+ if use examples; then
+ cd samples || die
+ docinto examples
+ dodoc *.xp *.flx *c *h README
+ fi
+}
+
+pkg_postinst() {
+ use emacs && elisp-site-regen
+}
+
+pkg_postrm() {
+ use emacs && elisp-site-regen
+}
diff --git a/sci-visualization/epix/files/epix-1.2.19-autotools.patch b/sci-visualization/epix/files/epix-1.2.19-autotools.patch
new file mode 100644
index 00000000000..403d65444f9
--- /dev/null
+++ b/sci-visualization/epix/files/epix-1.2.19-autotools.patch
@@ -0,0 +1,78 @@
+diff --git a/Makefile.am b/Makefile.am
+index 382230e..a0ff51d 100644
+--- a/Makefile.am
++++ b/Makefile.am
+@@ -86,11 +86,6 @@ epix elaps flix laps: %: %.in epix.el
+ -e 's%@RUNTIME_COMPILER\@%$(CXX)%;' $< > $@-local
+ chmod a+x $@ $@-local
+
+-# libepix.a
+-libepix.a: $(libepix_a_OBJECTS)
+- ar -ru libepix.a $(libepix_a_OBJECTS)
+- $(RANLIB) libepix.a
+-
+ # object file dependencies
+ $(libepix_a_LIBADD): %.o: %.cc %.h
+
+diff --git a/configure.ac b/configure.ac
+index 9089c35..2d5fe60 100644
+--- a/configure.ac
++++ b/configure.ac
+@@ -9,6 +9,7 @@ AM_MAINTAINER_MODE
+ dnl Checks for programs.
+ AC_PROG_CXX
+ AC_PROG_LN_S
++AM_PROG_AR
+ AC_PROG_RANLIB
+ AC_PROG_MAKE_SET
+ AC_PROG_INSTALL
+diff --git a/doc/Makefile.am b/doc/Makefile.am
+index c888b9a..4789c0a 100644
+--- a/doc/Makefile.am
++++ b/doc/Makefile.am
+@@ -1,7 +1,7 @@
+ # Makefile.am for ePiX v1.x "doc" directory
+ #
+
+-EPIXFLAGS = --no-defaults -I.. -L.. -lepix -v
++EPIXFLAGS = --no-defaults -I.. -L.. -lepix -q
+
+ %.eepic: %.xp
+ ../epix-local $(EPIXFLAGS) $<
+@@ -13,13 +13,13 @@ EEPICS = $(XPS:.xp=.eepic)
+ CLEANFILES = *~ *.aux *.dvi *.log *.out *.toc \
+ *.idx *.ilg *.ind \
+ manual_src.tar manual.pdf manual.ps \
+- manual_src.tar.gz manual.pdf.gz manual.ps.gz manual-stamp
++ manual_src.tar.gz manual.pdf manual.ps.gz manual-stamp
+
+ MAINTAINERCLEANFILES = *.eepic *.aux *.dvi *.log *.out *.toc \
+ *.idx *.ilg *.ind
+
+ ## Targets ##
+-doc_DATA = manual.pdf.gz manual.ps.gz manual_src.tar.gz
++doc_DATA =
+
+ info_TEXINFOS = epix.texi
+
+@@ -42,7 +42,6 @@ manual.ps.gz: manual-stamp
+
+ #PDF
+ manual.pdf.gz: manual-stamp
+- gzip -9 -c manual.pdf > manual.pdf.gz
+
+ epix.info: manual-stamp epix.texi
+ makeinfo epix.texi
+diff --git a/samples/Makefile.am b/samples/Makefile.am
+index 38bb5cd..7cd7cd4 100644
+--- a/samples/Makefile.am
++++ b/samples/Makefile.am
+@@ -7,7 +7,7 @@ FLX = $(wildcard *.flx)
+ CLEANFILES = *~ *.eepic *.eps sample_src.tar sample_src.tar.gz sample-stamp
+
+ ## Targets ##
+-doc_DATA = sample_src.tar.gz
++doc_DATA =
+
+
+ # tar up tex, xp, and eepic files